﻿.pkzpLoader {
    width: 80px;
    height: 80px;
    border-radius: 50%;
    display: inline-block;
    border-top: 4px solid #3399FF;
    border-right: 4px solid transparent;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

    .pkzpLoader::after {
        content: '';
        box-sizing: border-box;
        position: absolute;
        left: 0;
        top: 0;
        width: 80px;
        height: 80px;
        border-radius: 50%;
        border-left: 4px solid #FF3D00;
        border-bottom: 4px solid transparent;
        animation: rotation 0.5s linear infinite reverse;
    }

.loaderText {
    position: relative;
    display: inline-block;
    margin-top:15px;
}

    .loaderText::before {
        content: 'Ładowanie';
        color: #2F4F4F;
        font-family: Arial, Helvetica, sans-serif;
        font-size: 22px;
        letter-spacing: 2px;
        display: inline-block;
        box-sizing: border-box;
        animation: floating 1s ease-out infinite alternate;
    }

    .loaderText::after {
        content: '';
        width: 100%;
        height: 10px;
        background: rgba(0, 0, 0, 0.15);
        position: absolute;
        left: 0;
        top: 100%;
        filter: blur(4px);
        border-radius: 50%;
        box-sizing: border-box;
        animation: animloader 1s ease-out infinite alternate;
    }

@keyframes floating {
    0% {
        transform: translateY(0);
    }

    100% {
        transform: translateY(-25px);
    }
}

@keyframes animloader {
    0% {
        transform: scale(0.8);
    }

    100% {
        transform: scale(1.2);
    }
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
